# Yaf_View_Simple::__set

(Yaf >=1.0.0)

Yaf_View_Simple::__set — Définit une valeur du moteur

### Description

public Yaf_View_Simple::__set(string `$name`, mixed `$value`): void

C'est une alternative à la méthode Yaf_View_Simple::assign(), mais aussi la façon la plus simple de définir une valeur.

### Liste de paramètres

`name`

  Le nom d'une valeur, sous forme de chaîne de caractères.

`value`

  Différents types de valeur.

### Valeurs de retour

### Exemples

Exemple #1 Exemple avec Yaf_View_Simple::__set()

`<?php
class IndexController extends Yaf_Controller_Abstract {
public function indexAction() {
$this->getView()->foo = "bar"; // Identique à assign("foo", "bar");
}
}
?>`

### Voir aussi

- Yaf_View_Simple::assignRef() - Le but de assignRef
- Yaf_View_Interface::assign() - Assigne une valeur au moteur de rendu